import { ISerializable } from '../interfaces/ISerializable';
import { Serializer } from './Serializer';
/**
 * Basic serializer without any registered Classes
 * Note: Always allow user to pick Serializer. This will be used as the default;
 */
export declare const serializer: Serializer<ISerializable>;
/**
 * TODO: Extend from serializer
 * TODO: It is actually not extended but only extended by Date
 */
export declare const serializerWithDate: Serializer<ISerializable>;
