import { IObservableStorage } from '../../interfaces/IObservableStorage';
import { ISerializable } from '../../interfaces/ISerializable';
import { AbstractBrowserHistoryStorage } from './AbstractBrowserHistoryStorage';
/**
 * Note: Not suppoting array query params
 * TODO: Order of GET params
 *
 */
export declare class BrowserHistoryQueryStorage<TValue extends ISerializable> extends AbstractBrowserHistoryStorage<TValue> implements IObservableStorage<TValue> {
    protected decodeUrl(url: URL): Partial<TValue>;
    protected encodeUrl(params: TValue, lastUrl: URL): URL;
}
